package com.ruoyi.rc.mapper;

import java.util.List;
import com.ruoyi.rc.domain.TChapterTemplate;
import org.apache.ibatis.annotations.Param;

/**
 * 章节模板Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-31
 */
public interface TChapterTemplateMapper 
{
    public String selectNameByCode(@Param("code") String code);

    /**
     * 查询章节模板
     * 
     * @param id 章节模板主键
     * @return 章节模板
     */
    public TChapterTemplate selectTChapterTemplateById(Long id);

    /**
     * 查询章节模板列表
     * 
     * @param tChapterTemplate 章节模板
     * @return 章节模板集合
     */
    public List<TChapterTemplate> selectTChapterTemplateList(TChapterTemplate tChapterTemplate);

    /**
     * 新增章节模板
     * 
     * @param tChapterTemplate 章节模板
     * @return 结果
     */
    public int insertTChapterTemplate(TChapterTemplate tChapterTemplate);

    /**
     * 修改章节模板
     * 
     * @param tChapterTemplate 章节模板
     * @return 结果
     */
    public int updateTChapterTemplate(TChapterTemplate tChapterTemplate);

    /**
     * 删除章节模板
     * 
     * @param id 章节模板主键
     * @return 结果
     */
    public int deleteTChapterTemplateById(Long id);

    /**
     * 批量删除章节模板
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTChapterTemplateByIds(Long[] ids);
}
